Subject: RE: Port of tcpdump ?
From: [email-masked] (Amsden, Zachary)

10 Jun 1998 03:19:54 -0700
Message-ID: <D0FB11F70375D111ADC000600833E4F5992749.cygnus.gnu-win32@HERCULES>
Mime-Version: 1.0
Content-Type: text/plain
To: Jerome Gay <[email-masked]>
Cc: [email-masked]

> -----Original Message-----
> From:	Jerome Gay [SMTP:[email-masked]]
> Sent:	Monday, June 08, 1998 6:05 AM
> To:	Cygwin32 (E-mail)
> Subject:	Port of tcpdump ?
> 
> Folks,
> 
> I might be interested in a port of tcpdump for gnu-win32 (B19.1 on
> NT),
> I tried to build tcpdump 3.4a6 using egcs 1.0.2 and B19.1 :
> creating cache ./config.cache
> checking host system type... i386-pc-cygwin32
> checking target system type... i386-pc-cygwin32
	...
> checking for socket... yes
> checking for putmsg in -lstr... no
> checking for local pcap library... not found
> checking for main in -lpcap... no
> configure: error: see the INSTALL doc for more info
> 
	TCPdump uses the pcap library to do packet capture.  Search
around
	on the web for pcap, libpcap, "packet capture" and stuff and you
should
	find it.  If not, find sniffit, the sniffit source code comes
with the pcap
	library.

	However, I really doubt that this is all you need to do.
Libpcap uses
	system specific routines to capture network packets.  You would
have
	to find a way to do this in windows NT, because I highly doubt
that it
	uses any of the standard packet capture interfaces (IP raw
sockets,
	SOCK_PACKET, or Berkeley packet filter).  

> Is it something I should forget or what ?
> 
> Cheers /jerome
> -
> For help on using this list (especially unsubscribing), send a message
> to
> "[email-masked]" with one line of text: "help".
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".